#ifndef ICS2_RX62T_H
#define ICS2_RX62T_H

#include <stdint.h>

#define   ICS_SCI0_PB2_PB1    (0x00U)
#define   ICS_SCI1_PD3_PD5    (0x10U)
#define   ICS_SCI2_PB5_PB6    (0x20U)
#define   ICS_SCI2_P81_P80    (0x21U)

void ics2_init(void * addr, uint8_t port, uint8_t level, uint8_t speed, uint8_t mode);
void ics2_watchpoint(void);
uint32_t ics2_version(void);

void ics_int_sci_rxi(void);
void ics_int_sci_eri(void);

#endif /* ICS2_RX62T_H */
